# Submit a data labeling job Submits a data labeling job. Endpoint: POST /v1/multi-organizations/data-labeling-job Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Request fields (application/json): - `ids` (array) The IDs of the objects to be labeled, only required if the queryType is ById. There is a 4MB limit of the JSON payload, so in case of a large number of IDs, please make sure the payload is less than 4MB. - `objectType` (string, required) The object type of the data labeling job. Currently, the following objects are supported: * User * Account All the associated transaction objects of the account being labeled will automatically inherit the org label of the account. * Product You have to label the Account object first, make sure all accounts have been labeled, then you can proceed with the Product object. You can get all the unlabeled accounts by running a Data Source export job, with the following query: sql SELECT Id, Name FROM Account WHERE Organization.Id IS NULL All the ProductRatePlanS of the product will be automatically labeled with the same orgs. When labeling products, you can omit the orgs parameter, i.e, leave it empty, the system will find all the subscriptions that include the product and get the org list of those subscriptions, then label the product with those orgs, aka, the derived orgs. You can also explicitly specify the orgs parameter, in that case, you will need to provide a super set of the derived orgs. * BillRun You don't need to specify the orgs parameter, we will label the BillRun with all the orgs because existing runs could pick up all accounts. You can definitely create new bill run with certain orgs to operate separately by orgs. * PaymentRun Same as BillRun. * ForecastRun Example: "Account" - `orgIds` (array) The IDs of the organizations that the data labeling job will associate with the data to be labeled. Either the orgIds or orgs field is required. For Account object, one and only one org Id is required. For configuration objects, null and [] are treated differently, use null to unlabel the object, [] to label it with all orgs. Example: ["12345678-1234-1234-1234-123456789012"] - `orgs` (array) The names of the organizations that the data labeling job will associate with the data to be labeled. Either the orgIds or orgs field is required. For Account object, one and only one org name is required. For configuration objects, null and [] are treated differently, use null to unlabel the object, [] to label it with all orgs. - `query` (string) The query that the data labeling job will run to fetch the data to be labeled, only required if the queryType is ByZoql. Example: "select Id from Account where BillToContact.Country = 'US'" - `queryType` (string, required) Specifies the type of query that the data labeling job will run to fetch the data to be labeled. * ByZoql - The data labeling job will run a ZOQL query which is specified in the query field to fetch the data to be labeled. * ById - The data labeling job will fetch the data to be labeled by the IDs specified in the ids field. Enum: "ByZoql", "ById" ## Response 200 fields (application/json): - `jobId` (string) Identifier of the data labeling job. - `jobStatus` (string) Status of the data labeling job. * Accepted - The data labeling job has been accepted by the system. * Dispatched - The data labeling job is dispatched to the data labeling service. * Completed - The data labeling job has completed. Please note that Completed simply means the data labeling job has completed, but it does not mean the data labeling job has labeled all the data. You can check the progress field to see how many data have been labeled, failed or timeout. Enum: "Accepted", "Dispatched", "Completed" - `success` (boolean) Indicates whether the job was submitted successfully. ## Response 400 fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.